03-24-19 02:56 AM
4,042 ... 4344454647 ...
tools
  1. thurman's Avatar
    This would put it over the top.


    Z10 STL100-3 10.3.0.1052
    08-26-14 05:59 PM
  2. thurman's Avatar
    A new version of GMaps Patcher is available!

    Changelog V1.0.1
    - New: Patches referenced provider authorities (Saga, Tripadvisor)
    - New: Patches InAppBilling dependencies (needed for PlayStore and LuckyPatcher 4.7)
    - New: Option to directly copy a patched APK file to a folder on the device (if it is connected)
    - Fix: some minor optimizations

    The original post has been updated with a new download link.

    Happy patching!
    How do you use this and where is it?


    Z10 STL100-3 10.3.0.1052
    08-26-14 06:00 PM
  3. Cobalt232's Avatar
    How do you use this and where is it?


    Z10 STL100-3 10.3.0.1052

    Just read the first post of this thread....
    08-26-14 06:04 PM
  4. KenV54's Avatar
    Did you ever try to install a unpatched version of Google Play on your device? If yes, you may have some "dead" files locking the installation. If you post a log from Blackberry Logger I may see what exactly causes the problem.
    I can't get Blackberry Logger to work on Boot Camp even when booting directly from Boot Camp, and all the autoloaders work in Boot Camp. I suspect it's a problem with the program and with Windows 8.1, even though I did a compatibility fix on it.
    08-26-14 06:16 PM
  5. dustmalik's Avatar
    Hi Sally,

    I'm on the leaked 10.3.0.1052 now and all my Andoid apps but one are working. The one that isn't is the one you patched a while back--a paid dictionary app--that requires Play Services to be running. I've been unable to install any version of Google Play Services since my upgrade to 10.3, even the latest beta. They all give the error message that this cannot be installed.

    Do you know of a workaround for this? Is there anything I can remove from the system that will permit the Play services to be installed? Funny thing is, when I first uploaded tho 10.3 OS and restored my app data, that dictionary app worked, but now for some reason it doesn't.
    Had similar issue,i had to reload the android runtime by re-sideloading the two runtime files, then did a reboot. You might want to try that. But make sure you uninstall the play services first, through the device monitor, before re-sideloading the runtime files.

    Posted via CB10 using my Gorgeous Z30
    08-26-14 06:38 PM
  6. KenV54's Avatar
    Had similar issue,i had to reload the android runtime by re-sideloading the two runtime files, then did a reboot. You might want to try that. But make sure you uninstall the play services first, through the device monitor, before re-sideloading the runtime files.

    Posted via CB10 using my Gorgeous Z30
    Thanks--sounded like a great idea, and I just tried it, but unfortunately didn't work.

    I have this bad feeling that I'm going to have to do a wipe and reinstall.
    08-26-14 06:52 PM
  7. Sally Mack's Avatar
    Thanks--sounded like a great idea, and I just tried it, but unfortunately didn't work.

    I have this bad feeling that I'm going to have to do a wipe and reinstall.
    I've had the same issue and eventually, one of the many uninstalls/reinstalls worked. So I wouldn't give up hope quite yet! Have you checked in ghost commander to see if google play services still shows as installed? Maybe try installing an unpatched version, then uninstalling?
    08-26-14 08:56 PM
  8. CK_rbg's Avatar
    The lengths I go to for fantasy football. It's shameful, really.

    Only complaint is that now the ESPN FF app has no icon after the rebuild. Only a shaded square w/ the name at the bottom. Purely aesthetics & not that important in the long run though.

    All in all, great work.
    08-26-14 09:03 PM
  9. KenV54's Avatar
    I've had the same issue and eventually, one of the many uninstalls/reinstalls worked. So I wouldn't give up hope quite yet! Have you checked in ghost commander to see if google play services still shows as installed? Maybe try installing an unpatched version, then uninstalling?
    Yes, I looked all over on Ghost Commander and couldn't find evidence of Google Play Services.

    I've decided to do a complete wipe with SIC Multiwipe, the reinstall the OS. I am having troubles with a POP email account as well, and I think I'm going to have to do a clean install, maybe restoring only the media data but not the settings or the app data.
    08-26-14 09:10 PM
  10. urShadow's Avatar
    Here is the patched version of Saga
    com.aro.saga-1059.apk-patched
    Thanks a lot, the app starts and most of it works, but when I open 'Me' tab it crashes. I guess this is beyond patcher capability, right?
    08-26-14 10:30 PM
  11. Sally Mack's Avatar
    The lengths I go to for fantasy football. It's shameful, really.

    Only complaint is that now the ESPN FF app has no icon after the rebuild. Only a shaded square w/ the name at the bottom. Purely aesthetics & not that important in the long run though.

    All in all, great work.
    It should show properly after a restart.
    08-27-14 12:39 AM
  12. jzajac's Avatar
    The lengths I go to for fantasy football. It's shameful, really.

    Only complaint is that now the ESPN FF app has no icon after the rebuild. Only a shaded square w/ the name at the bottom. Purely aesthetics & not that important in the long run though.

    All in all, great work.
    Like Sally said, it will show. I actually saw that patching with 1.0 for the FFL app. I uninstalled my patched version and repatched and reinstalled, and saw it again. Device reset fixed the problem.

    Posted via CB10 on my Z10
    08-27-14 06:09 AM
  13. BSar's Avatar
    Nice work!
    08-27-14 11:27 AM
  14. KenV54's Avatar
    I've had the same issue and eventually, one of the many uninstalls/reinstalls worked. So I wouldn't give up hope quite yet! Have you checked in ghost commander to see if google play services still shows as installed? Maybe try installing an unpatched version, then uninstalling?
    Well, I bit the bullet. I did a security wipe (not the SIC Multiwipe, which I had done before installing the 10.3 OS a few days ago) and not a reinstall of the OS. No restore of any kind.

    I then reinitialized everything. The beta Google Play installed without a hitch, the dictionary you had patched now works again, and it looks as though everything is in order.

    It must have been, as Cobalt said, something hanging around from a previous Google Play install that was interfering. I'm sure there was other stuff, as well, that was causing problems.

    Thanks again for your input and for Cobalt's.
    08-27-14 11:30 AM
  15. CK_rbg's Avatar
    Like Sally said, it will show. I actually saw that patching with 1.0 for the FFL app. I uninstalled my patched version and repatched and reinstalled, and saw it again. Device reset fixed the problem.

    Posted via CB10 on my Z10
    I restarted and the the icon returned as mentioned. Appreciate the help.

    Posted via CB10
    08-27-14 11:34 AM
  16. Dazlr Boy's Avatar
    Cut the rope 2 apk is not working.why?

    @dazlr
    08-27-14 11:44 AM
  17. John Scholz1's Avatar
    Just read the first post of this thread....
    Thanks I tried, but I'm getting nowhere trying to get the gmaps apk showing in your initial thread and the modified apps through lucky patcher won't open either, I get the popup saying google play services is needed or I get a popup saying "unable to install this app". Any further suggestions?
    08-27-14 06:25 PM
  18. KenV54's Avatar
    New issue--about as minor as they get.

    On 10.3, I got just about everything including the patched dictionary working once I wiped the Z10 and installed the beta Google Play Store, as I posted earlier today.

    Now, I'm trying to run FlightAware, and it tells me that Google Play services isn't installed. Snap lists as being "available' Google Play Services 5.0.89 (1307510-036). I don't know the difference between this and the beta Google Play Store, or whether they interfere with each other. I'm hesitant to install it since every other app is working so well, and if it does cause problems, I'm concerned I couldn't get rid of it without re-wiping the phone.

    The reason I said this is minor is because FlightAware on the mobile website version is just about as good as using the app.

    I'm just wondering in general about installing this version of Play Services. I do know there are problems with the later Google Maps with Play Services installed, or maybe that issue has been resolved.

    I will say that the Androids overall are really working great on 10.3, far better than on 10.2.1 or 10.2.2.
    08-27-14 08:21 PM
  19. Sally Mack's Avatar
    I'm assuming you've patched flightaware? I don't think upgrading to the newest version will make a difference (but with cobalt's newest patcher you can download the apk, patch it, and install). Perhaps flightaware is calling google play services in a different way cobalt has accounted for in his patcher?
    08-27-14 08:32 PM
  20. KenV54's Avatar
    I'm assuming you've patched flightaware? I don't think upgrading to the newest version will make a difference (but with cobalt's newest patcher you can download the apk, patch it, and install). Perhaps flightaware is calling google play services in a different way cobalt has accounted for in his patcher?
    Hi Sal,

    After your post, I patched the flight aware file, tried to run it, and it gave the same error message about needing Google Play Services. I then installed the Aug 1 patched version of the Google Play services that was in my output folder in Cobalt's patch program, and rebooted the Z10. I still get the same message. The Play Services seemed to mess a little with that dictionary program, and i was afraid it would be out again, but it (the dictionary) now works normally.

    So maybe the FlightAware app just isn't compatible. I could send the patched version to you if you want, or upload it to Mega and give you the link. It's 5 megs and a free program.
    08-27-14 09:31 PM
  21. Cobalt232's Avatar
    Hi Sal,

    After your post, I patched the flight aware file, tried to run it, and it gave the same error message about needing Google Play Services. I then installed the Aug 1 patched version of the Google Play services that was in my output folder in Cobalt's patch program, and rebooted the Z10. I still get the same message. The Play Services seemed to mess a little with that dictionary program, and i was afraid it would be out again, but it (the dictionary) now works normally.

    So maybe the FlightAware app just isn't compatible. I could send the patched version to you if you want, or upload it to Mega and give you the link. It's 5 megs and a free program.
    I just patched FlightAware and it works as expected. Nothing special there.

    FlightAware-patched
    Google Play services-5.0.89-patched
    08-28-14 03:26 AM
  22. Cobalt232's Avatar
    Thanks I tried, but I'm getting nowhere trying to get the gmaps apk showing in your initial thread and the modified apps through lucky patcher won't open either, I get the popup saying google play services is needed or I get a popup saying "unable to install this app". Any further suggestions?
    Sorry, what excactly is it I can help you with? Are you trying to get Google Maps running? if yes, just read this post:
    http://forums.crackberry.com/android...l#post10175045
    08-28-14 06:33 AM
  23. popengchan's Avatar
    Hi Cobalt / Sally Mack,

    This seems to be just a general question. I've been going around these forums a few times now (numerous actually), and I can see that there are google play services, login services etc etc which is optimized for different BlackBerry versions (10.2.1, 10.3, etc). Now I have my Q10 with the latest official version 10.2.1, a few android apps which I thankfully installed and in working conditions because of you guys. And hey, how I love my device because of that.

    Now, I guess being ignorant with these things, and how I love my device as it seems perfect in running android apps, I seem to be "future proofing" right now when I ask that, if and when 10.3 officially arrives, will we somehow expect that our current android apps encounter issues/errors? I'm speaking for those that did not install any leak and are on the official BlackBerry OS versions. Is it inevitable that my loved BlackBerry with working android apps may encounter issues when the big 10.3 arrives? Will it be that hard in resolving if ever? Just a thought.

    I know that you may not know at this time, but any opinion would do, and I guess I'm that paranoid as I rely on my Q so much productivity-wise.

    Posted via CB10
    08-28-14 07:27 AM
  24. Cobalt232's Avatar
    Hi Cobalt / Sally Mack,

    This seems to be just a general question. I've been going around these forums a few times now (numerous actually), and I can see that there are google play services, login services etc etc which is optimized for different BlackBerry versions (10.2.1, 10.3, etc). Now I have my Q10 with the latest official version 10.2.1, a few android apps which I thankfully installed and in working conditions because of you guys. And hey, how I love my device because of that.

    Now, I guess being ignorant with these things, and how I love my device as it seems perfect in running android apps, I seem to be "future proofing" right now when I ask that, if and when 10.3 officially arrives, will we somehow expect that our current android apps encounter issues/errors? I'm speaking for those that did not install any leak and are on the official BlackBerry OS versions. Is it inevitable that my loved BlackBerry with working android apps may encounter issues when the big 10.3 arrives? Will it be that hard in resolving if ever? Just a thought.

    I know that you may not know at this time, but any opinion would do, and I guess I'm that paranoid as I rely on my Q so much productivity-wise.

    Posted via CB10
    From my point of view and from what I've seen how the Android Runtime has evolved, I would say that we have LESS problems with the new Runtime. I'm been running 10.3 since it first popped up and I'm currently running 10.3.0.1052 on my Q10. There are some apps, that did not work on 10.2.x, i.e. chrome and others, which now run without problems. With 10.3, we still have the issues with Google Services, but most of it can be patched. My personal suggestion: Update your Q to the latest 10.3 and don't fear the upcoming releases.
    popengchan likes this.
    08-28-14 07:54 AM
  25. Cobalt232's Avatar
    Cut the rope 2 apk is not working.why?

    @dazlr
    Works great after patching..... on OS 10.3.1052 with Google Play services 5.0.89
    08-28-14 07:55 AM
4,042 ... 4344454647 ...

Similar Threads

  1. how do you clean install a BB10 device using Link?
    By gameson in forum BlackBerry 10 OS
    Replies: 14
    Last Post: 04-01-15, 07:54 AM
  2. Android Apps no Longer Working? Candy Crush?
    By raxamillion in forum More for your BlackBerry 10 Phone!
    Replies: 41
    Last Post: 05-05-14, 04:04 AM
  3. Best Remote desktop App?
    By alejandrohn5 in forum BlackBerry Z10
    Replies: 7
    Last Post: 04-01-14, 11:16 PM
  4. Can DLNA Rendering be Enabled by an APP?
    By Cynycl in forum BlackBerry PlayBook
    Replies: 4
    Last Post: 03-15-14, 02:25 PM
  5. Question about 10.2 and sim.
    By Watcher777 in forum BlackBerry Z10
    Replies: 1
    Last Post: 03-14-14, 03:00 PM
LINK TO POST COPIED TO CLIPBOARD